apiVersion: apps/v1
kind: Deployment
metadata:
  name: noise
  namespace: noise
spec:
  replicas: 10
  strategy:
    type: RollingUpdate
  selector:
    matchLabels:
      app: noise
  template:
    metadata:
      labels:
        app: noise
    spec:
      containers:
        - name: chatter-box
          image: alpine
          imagePullPolicy: IfNotPresent
          # Command that will increment a counter and print datetime to stdout every 15 seconds
          command: ['sh', '-c', 'i=0; while true; do echo "$i - $(date)"; i=$((i+1)); sleep 15; done']
